# $Revision: 1.43 $, $Date: 2010/08/21 19:07:37 $
%include	/usr/lib/rpm/macros.php
%define		_class		Cache
%define		_subclass	Lite
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Fast and Safe little cache system
Summary(pl.UTF-8):	%{_pearname} - Szybki i bezpieczny system buforujący
Name:		php-pear-%{_pearname}
Version:	1.7.8
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	75c142769a4ca68afc72dcf4f494bdd6
URL:		http://pear.php.net/package/Cache_Lite/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-21
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a little cache system optimized for file containers.
It is fast and safe (because it uses file locking and/or
anti-corruption tests).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera mały system buforujący zoptymalizowany dla
kontenerów plików. Jest szybki i bezpieczny (ponieważ używa blokowania
plików i/lub testów anti-corruption).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/{docs/*,TODO}
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Cache_Lite.spec,v $
Revision 1.43  2010/08/21 19:07:37  glen
- updated deps with pearize.sh
- release 2

Revision 1.42  2010/08/20 12:54:37  glen
- updated to: 1.7.8

Revision 1.41  2009/02/01 17:53:55  adamg
- updated to 1.7.6

Revision 1.40  2009/01/23 16:40:45  adamg
- updated to 1.7.5

Revision 1.39  2008/06/09 16:29:45  adamg
- updated to 1.7.4

Revision 1.38  2008-05-02 23:00:24  adamg
- updated to 1.7.3

Revision 1.37  2008-01-31 12:16:48  glen
- rel 3

Revision 1.36  2007-11-22 19:57:13  glen
- Cache dir in php-pear; rel 2

Revision 1.35  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.33  2006/06/03 21:49:22  glen
- 1.7.2

Revision 1.32  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.31  2006/05/19 19:07:36  glen
- 1.7.1

Revision 1.30  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.29  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.28  2006/03/06 01:08:52  glen
- 1.7.0

Revision 1.27  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.26  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.25  2005/12/08 17:01:57  glen
- 1.6.0

Revision 1.24  2005/09/27 22:28:15  glen
- 1.5.2

Revision 1.23  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.22  2005/09/19 21:43:39  glen
- integer BR

Revision 1.21  2005/09/19 18:54:03  glen
- merged from DEVEL: use new pear packaging system

Revision 1.20.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.20.2.1  2005/09/18 17:29:52  glen
- use php-pear-build

Revision 1.20  2005/03/27 01:05:10  adamg
- updated to 1.4.1

Revision 1.19  2005/02/05 19:44:59  adamg
- updated to 1.4.0

Revision 1.18  2004/12/03 20:54:34  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.17  2004/08/21 16:20:07  adamg
- updated to 1.3.1

Revision 1.16  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.15  2004/02/07 19:17:33  adamg
- updated to 1.3

Revision 1.14  2003/10/25 14:54:26  adamg
- updated to 1.2

Revision 1.13  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.12  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.11  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.10  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/24 15:33:53  blues
- 1.1 - STBR to Ra updates general

Revision 1.8  2003/02/23 13:39:48  blues
- added status info

Revision 1.7  2002/11/14 15:34:23  blues
- 1.0.1 - stable release of this class - STBR

Revision 1.6  2002/10/14 23:37:22  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.5  2002/09/30 15:42:01  blues
- 0.4 - WARNING: incompatible with previous versions! - STBR

Revision 1.4  2002/09/07 19:25:14  blues
- fix in macros

Revision 1.3  2002/08/31 11:20:36  blues
- 0.3 (beta class) - STBR

Revision 1.2  2002/08/11 20:34:03  blues
- 0.2.0 - few bugs corrected (this is still beta class); STBR

Revision 1.1  2002/08/08 21:13:59  blues
- initial release; STBR
